// component/chooseAddress/chooseAddress.js
const wxService = require('../../../../utils/wxService')
const utils = require('../../../../utils/util')
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        address: {
            type: Object,
            value: null,
            observe: '_addressChange'
        }
    },

    /**
     * 组件的初始数据
     */
    data: {

    },

    attached() {
        let address = this.data.address
        if (!address) {
            // utils.getUserDefaultAddress().then(res => {
            //     this.setData({
            //         address: res
            //     })
            //     wxService.nextTick(() => {
            //         this.triggerEvent('selectAddrSuccess', {
            //             ...res, addressId: res.id
            //         })
            //     })
            // })
        } else {
            this.setData({
                address
            })
        }
    },

    detached() {
        this._addressChange = null
    },

    /**
     * 组件的方法列表
     */
    methods: {
        _addressChange(newV, oldV) {
            if (newV !== oldV) {
                this.setData({
                    address: newV
                })
            }
        },

        selectAddress: function () {
            





            // wxService.selectAddress().then(res => {
            //     this.setData({
            //         address: res
            //     })
            //     wxService.nextTick(() => {
            //         this.triggerEvent('selectAddrSuccess', {
            //             ...res, addressId: res.id
            //         })
            //     })
            // })
        }
    }
})
