// component/couponPopup/couponPopup.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    show: { // 显示标识
      type: Boolean,
      value: false
    },
    popupTitle: {// 弹窗标题
      type: String,
      value: ''
    },
    showTip: {  //显示请在支付前选用
      type: Boolean,
      value: false
    },
    showCouponTipTitle: {// 
      type: String,
      value: ''
    },
    couponDatas: { // 所有券
      type: Object,
      value: []
    },

  },

  /**
   * 组件的初始数据
   */
  data: {

  },
 
  /**
   * 组件的方法列表
   */
  methods: {
    // 隐藏弹出框
    hidePopup: function () {
      this.setData({
        show: false
      })
    },
    //选择券
    chooseCoupon: function(e){
      if(e.currentTarget.dataset.useflag){//可用
        const { id, index, name, cptype, obj} = e.currentTarget.dataset

        this.triggerEvent('showCouponDetail', { 'id': id, 'index': index, 'name': name, 'type': cptype ,'obj':obj});
        this.hidePopup()
      }else{//不可用
        wx.showToast({
          title: '该优惠券不可用',
          icon: 'none'
        })
      }
    },

  }
})
